@model FERZid.Models.Sadržaj

@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<hr />

<br>

@if (TempData["Success"] != null)
{
    <div class="green">
        <p><strong>Success:</strong> @TempData["Success"].ToString()</p>
    </div>
}





<br>


<form asp-action="Edit" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">
    <div class="form-horizontal">
        <h4>Sadržaj</h4>
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input type="hidden" asp-for="Idsadržaja" />



        <div class="form-group">
            <label asp-for="Naziv" class="col-md-2 control-label">Naziv</label>
            <div class="col-md-10">
                <input asp-for="Naziv" class="form-control" />
                <span asp-validation-for="Naziv" class="text-danger"></span>
            </div>
        </div>



        <div class="form-group">
            <label asp-for="Idformata" class="control-label col-md-2">Format</label>
            <div class="col-md-10">
                <select asp-for="Idformata" class="form-control" asp-items="ViewBag.Idformata"></select>
                <span asp-validation-for="Idformata" class="text-danger"></span>
            </div>
        </div>

        <div class="form-group">
            <label asp-for="IdvrsteSadržaja" class="control-label col-md-2">Vrsta sadržaja</label>
            <div class="col-md-10">
                <select asp-for="IdvrsteSadržaja" class="form-control" asp-items="ViewBag.IdvrsteSadržaja"></select>
                <span asp-validation-for="IdvrsteSadržaja" class="text-danger"></span>
            </div>
        </div>

        



        <div class="form-group">
            <label asp-for="Podaci" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Podaci" class="form-control" />
                <span asp-validation-for="Podaci" class="text-danger"></span>
            </div>
        </div>


        <div class="form-group">
            <label asp-for="Veličina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Veličina" class="form-control" />
                <span asp-validation-for="Veličina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10" >

                <input type="submit" value="Save" class="btn btn-default" />

            </div>
        </div>
    </div>
</form>



@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
<div>
    @*<a asp-action="Index" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">Back to List</a>*@
    @Html.ActionLink("Back to Sadržaj list", "Index", "Sadrzaj", new { page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
</div>